#!/usr/bin/env python
"""Setup script for the Qfits module distribution."""
from distutils.core import setup, Extension
import glob
import os.path

srcfiles = []
for src in glob.glob(os.path.join('src', '*.c')):
    srcfiles.append(src)



setup (# Distribution meta-data
       name = "Qfits",
       version = "4.1",
       description = "FITS header parsing module",
       author = "Nicolas Devillard",
       author_email = "nDevil at eso dot org",
       url = "http://archive.eso.org/saft/qfits",

       # Description of the modules and packages in the distribution
       # packages = [''],
       package_dir = {'': 'python'},
       py_modules = ['Qfits'],
       ext_modules =
           [Extension('qfits', srcfiles,
                      include_dirs=["./include", "./src"],
                      library_dirs=[''],
                      libraries=[''],),
           ]
      )
